package com.hw.dms.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 巡检记录对象 dms_record_inspect
 * 
 * @author Open Platform
 * @date 2024-01-16
 */
public class DmsRecordInspect extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long recordInspectId;

    /** 巡检单号 */
    @Excel(name = "巡检单号")
    private String billsInspectCode;

    /** 检查类型(1巡检,2点检) */
    @Excel(name = "检查类型(1巡检,2点检)")
    private String inspectType;

    /** 巡检线路,关联dms_base_inspect_route的inspect_route_id */
    @Excel(name = "巡检线路,关联dms_base_inspect_route的inspect_route_id")
    private Long inspectRouteId;

    /** 设备总数 */
    @Excel(name = "设备总数")
    private Long deviceAmount;

    /** 计划巡检时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "计划巡检时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date planTime;

    /** 实际开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "实际开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date realBeginTime;

    /** 实际结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "实际结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date realEndTime;

    /** 执行人员 */
    @Excel(name = "执行人员")
    private String performer;

    /** 巡检状态：1-待巡检；2-巡检中；3-完成 */
    @Excel(name = "巡检状态：1-待巡检；2-巡检中；3-完成")
    private Long inspectStatus;

    /** 巡检用时 */
    @Excel(name = "巡检用时")
    private BigDecimal inspectDuration;

    /** 是否标识：1-是；0-否 */
    @Excel(name = "是否标识：1-是；0-否")
    private String isFlag;

    public void setRecordInspectId(Long recordInspectId) 
    {
        this.recordInspectId = recordInspectId;
    }

    public Long getRecordInspectId() 
    {
        return recordInspectId;
    }
    public void setBillsInspectCode(String billsInspectCode) 
    {
        this.billsInspectCode = billsInspectCode;
    }

    public String getBillsInspectCode() 
    {
        return billsInspectCode;
    }
    public void setInspectType(String inspectType) 
    {
        this.inspectType = inspectType;
    }

    public String getInspectType() 
    {
        return inspectType;
    }
    public void setInspectRouteId(Long inspectRouteId) 
    {
        this.inspectRouteId = inspectRouteId;
    }

    public Long getInspectRouteId() 
    {
        return inspectRouteId;
    }
    public void setDeviceAmount(Long deviceAmount) 
    {
        this.deviceAmount = deviceAmount;
    }

    public Long getDeviceAmount() 
    {
        return deviceAmount;
    }
    public void setPlanTime(Date planTime) 
    {
        this.planTime = planTime;
    }

    public Date getPlanTime() 
    {
        return planTime;
    }
    public void setRealBeginTime(Date realBeginTime) 
    {
        this.realBeginTime = realBeginTime;
    }

    public Date getRealBeginTime() 
    {
        return realBeginTime;
    }
    public void setRealEndTime(Date realEndTime) 
    {
        this.realEndTime = realEndTime;
    }

    public Date getRealEndTime() 
    {
        return realEndTime;
    }
    public void setPerformer(String performer) 
    {
        this.performer = performer;
    }

    public String getPerformer() 
    {
        return performer;
    }
    public void setInspectStatus(Long inspectStatus) 
    {
        this.inspectStatus = inspectStatus;
    }

    public Long getInspectStatus() 
    {
        return inspectStatus;
    }
    public void setInspectDuration(BigDecimal inspectDuration) 
    {
        this.inspectDuration = inspectDuration;
    }

    public BigDecimal getInspectDuration() 
    {
        return inspectDuration;
    }
    public void setIsFlag(String isFlag) 
    {
        this.isFlag = isFlag;
    }

    public String getIsFlag() 
    {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("recordInspectId", getRecordInspectId())
            .append("billsInspectCode", getBillsInspectCode())
            .append("inspectType", getInspectType())
            .append("inspectRouteId", getInspectRouteId())
            .append("deviceAmount", getDeviceAmount())
            .append("planTime", getPlanTime())
            .append("realBeginTime", getRealBeginTime())
            .append("realEndTime", getRealEndTime())
            .append("performer", getPerformer())
            .append("inspectStatus", getInspectStatus())
            .append("inspectDuration", getInspectDuration())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
